/*  Project mh
    University of California, Davis
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    mh.exe Application
    FILE:         mhdialog.cpp
    AUTHOR:       Rory Jaffe, M.D.


    OVERVIEW
	 ========
    Source file for implementation of MHDialog (TDialog).      
*/

#include <owl\owlpch.h>
#pragma hdrstop

#include "mhdialog.h"




//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE2(MHDialog, TDialog, TVbxEventHandler)//altered by me
//{{MHDialogRSP_TBL_BEGIN}}
	 EV_BN_CLICKED(IDHELP, BNClickedIDHelp),
//{{MHDialogRSP_TBL_END}}
	EV_VBXEVENTINDEX(IDC_LEFTTABS, Event_SaxTab_Click, EvClickTabsLeft ),
	EV_VBXEVENTINDEX(IDC_RIGHTTABS, Event_SaxTab_Click, EvClickTabsRight ),
END_RESPONSE_TABLE;


//{{MHDialog Implementation}}


static MHDialogXfer MHDialogData;

MHDialog::MHDialog (TWindow* parent, TResId resId, TModule* module):
	 TDialog(parent, resId, module)
{
//Non-Transfer controls
	 IDCLeftTabs = new TVbxSaxTab(this, IDC_LEFTTABS) ;
	 IDCRightTabs = new TVbxSaxTab(this, IDC_RIGHTTABS) ;
//Transfer controls enacted by me
	 IDCSlideMH = new TVbxMhSlideXfer(this, IDC_SLIDEMH) ;
	 IDCSlideMMR = new TVbxMhSlideXfer(this, IDC_SLIDEMMR) ;
	 IDCSlideNMS = new TVbxMhSlideXfer(this, IDC_SLIDENMS) ;
//{{MHDialogXFER_USE}}
	 IDCEditTime = new TEdit(this, IDC_EDITTIME, 255);

	 SetTransferBuffer(&MHDialogData);
//{{MHDialogXFER_USE_END}}



	 // INSERT>> Your constructor code here.

}


MHDialog::~MHDialog ()
{
	 Destroy();

	 // INSERT>> Your destructor code here.

}

void MHDialog::EvClickTabsLeft (VBXEVENT FAR*)
{//this causes left side of dialog to change according to left set of tabs
	int nActiveTab ;
	IDCLeftTabs->GetPropActiveTab(nActiveTab) ;
	leftControls.Activate(nActiveTab) ;
}


void MHDialog::EvClickTabsRight (VBXEVENT FAR*)
{//ditto for the right side
	int nActiveTab ;
	IDCRightTabs->GetPropActiveTab(nActiveTab) ;
	rightControls.Activate(nActiveTab) ;
}

void MHDialog::SetupWindow ()
{
	 TDialog::SetupWindow();

	 // INSERT>> Your code here.
	 leftControls.Setup(LFrame0S-1,HWindow) ;//reference frame and dialog HWND
	 rightControls.Setup(RFrame1S-1,HWindow) ;//ditto, for right side
	 leftControls.AddSet(LFrame0S,LFrame0E,LFrame0S-1) ;//set 0
	 leftControls.AddSet(LFrame1S,LFrame1E,LFrame1S-1) ;//set 1
	 leftControls.AddSet(LFrame2S,LFrame2E,LFrame2S-1) ;//set 2
	 leftControls.AddSet(LFrame3S,LFrame3E,LFrame3S-1) ;//set 3
	 leftControls.AddSet(LFrame4S,LFrame4E,LFrame4S-1) ;//set 4
	 rightControls.AddSet(RFrame0S,RFrame0E,RFrame0S-1) ;//set 0
	 rightControls.AddSet(RFrame1S,RFrame1E,RFrame1S-1) ;//set 1
}


void MHDialog::BNClickedIDHelp ()
{
	 // INSERT>> Your code here.
	 MessageBox("Help for this dialog not yet implemented") ;

}

