#if !defined(__mhdialog_h)              // Sentry, use file only if it's not already included.
#define __mhdialog_h

/*  Project mh
    University of California, Davis
    Copyright  1993. All Rights Reserved.

    SUBSYSTEM:    mh.exe Application
    FILE:         mhdialog.h
    AUTHOR:       Rory Jaffe, M.D.


    OVERVIEW
    ========
    Class definition for MHDialog (TDialog).
*/

#include <owl\edit.h>
#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\dialog.h>

#include "mhapp.rh"            // Definition of all resources.
#include "d:\bvsp\include\saxtabs1.h"
#include "d:\bvsp\include\mhsl2001.h"
#include "dyndlg.h"
//#include <classlib\time.h>
//#include <classlib\date.h>



//{{TDialog = MHDialog}}
struct MHDialogXfer {
//those controls enacted by me
	 int	   IDCSlideMH ;
    int	   IDCSlideMMR ;
	 int     IDCSlideNMS ;
//{{MHDialogXFER_DATA}}
    char    IDCEditTime[ 255 ];
//{{MHDialogXFER_DATA_END}}
};


class MHDialog : public TDialog , public TVbxEventHandler {
public:
    MHDialog (TWindow* parent, TResId resId = IDD_MHFORM, TModule* module = 0);
    virtual ~MHDialog ();
//special functions and data to support dynamic dialogs
private:
   DynamicDialogControls leftControls ;
   DynamicDialogControls rightControls ;
	enum {LFrame0S=10001, LFrame0E=10023, LFrame1S=10101, LFrame1E=10118,
		LFrame2S=10201, LFrame2E=10257, LFrame3S=10301, LFrame3E=10318,
		LFrame4S=10401, LFrame4E=10410, RFrame0S=10801, RFrame0E=10801,
		RFrame1S=10701, RFrame1E=10708} ; //these are start and end ID's for each
      //the frames themselves=start-1  (just my arbitrary assignment--the frames
      //can have any unique ID, and the sets of controls just have to be
      //consecutive ID's)

//non-transfer controls
protected:
	TVbxSaxTab *IDCLeftTabs ;
   TVbxSaxTab *IDCRightTabs ;
//my transfer controls
protected:
	 TVbxMhSlideXfer *IDCSlideMH ;
    TVbxMhSlideXfer *IDCSlideMMR ;
    TVbxMhSlideXfer *IDCSlideNMS ;
//{{MHDialogXFER_DEF}}
protected:
    TEdit *IDCEditTime;

//{{MHDialogXFER_DEF_END}}

//my response functions
protected:
void	EvClickTabsLeft(VBXEVENT FAR*) ;
void  EvClickTabsRight(VBXEVENT FAR*) ;
//{{MHDialogVIRTUAL_BEGIN}}
public:
    virtual void SetupWindow ();
//{{MHDialogVIRTUAL_END}}

//{{MHDialogRSP_TBL_BEGIN}}
protected:
    void BNClickedIDHelp ();
//{{MHDialogRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(MHDialog);
};    //{{MHDialog}}


#endif                                      // __mhdialog_h sentry.

